;-------------------------------------------------------------------------
;Setup and Enable the PWM
;-------------------------------------------------------------------------
InitPWM
		movlw	0xff
		bsf	STATUS,RP0
		movwf	PR2			; Set the PWM period

		bcf	STATUS,RP0
		movlw	b'00001100'
		movwf	CCP1CON			; Enable PWM

		movlw	b'00000101'		; TMR2 prescale is 4
		movwf	T2CON 			; Enable TMR2
;-------------------------------------------------------------------------
;Change the PWM duty value
;-------------------------------------------------------------------------
SetPWM
		bcf	STATUS,RP0
		movfw	CONTRAST_VAL
		sublw	0xff
		movwf	PWM_DUTY
		bcf	STATUS,C
		rrf	PWM_DUTY,f
		bcf	STATUS,C
		rrf	PWM_DUTY,f
		bcf	STATUS,C
		rrf	PWM_DUTY,w
		movwf	CCPR1L
		return
