;=============[ tables.ASM ]==========================[ 12-14-2002 ]==;
; (C) 2002 Jerry Han
; Protected under the GNU General Public License
; for specific license information, see www.gnu.org/copyleft/gpl.html
;
; version 1.00 PRERELEASE
;
; This piece of software is designed to run on a PIC (16F628 or equivalent)
; and connect to a standard (Hitachi 44780-based) LCD/VFD or similar display.
;
; It provides an RS-232 interface on which it received commands for
; the display.  It attempts to emulate the Matrix-Orbital serial display
; command set.
;
; ============================================================================
; This file contain debug support routines
;
;------------- Dump the ascii value of a byte -----------------------------
; Should look at AN556 "Implementing a Table Read"
DUMP
		movwf	TEMPW
		movlw	'|'
		call	LCD_PUTCHAR
		swapf	TEMPW,w
		andlw	0x0f
		call	DUMP_Byte
		call	LCD_PUTCHAR
		movf	TEMPW,w
		andlw	0x0f
		call	DUMP_Byte
		call	LCD_PUTCHAR
		movf	TEMPW,w
		return

DUMP_232
		movwf	TEMPW
		movlw	'|'
		call	PUTCHAR
		swapf	TEMPW,w
		andlw	0x0f
		call	DUMP_Byte
		call	PUTCHAR
		movf	TEMPW,w
		andlw	0x0f
		call	DUMP_Byte
		call	PUTCHAR
		movf	TEMPW,w
		return

DUMP_Byte
		movwf	DTMPW
		movlw	HIGH DUMP_Byte
		movwf	PCLATH
		movf	DTMPW,w
		addwf	PCL ,F		;Jump to char pointed to in W reg
		dt	"0123456789ABCDE"
DUMP_Byte_END	retlw	'F'
	IF ( (DUMP_Byte & 0x0FF) >= (DUMP_Byte_END & 0x0FF) )
		MESSG   "Warning - User Definded: Table 'DUMP_Byte' crosses page boundry in computed jump"
	ENDIF